# PropertyFactory (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard

## Interface PropertyFactory<T extends Property>

Type Parameters:
  `T` - the property type created by the factory $Id$ Created on: 30/10/2008

    public interface PropertyFactory<T extends Property>

Author:
  fortuna

### Method Summary

Methods
`T` `createProperty(Group group, List<Parameter> params, String value)`
`T` `createProperty(List<Parameter> params, String value)`

### Method Detail

#### createProperty

    T createProperty(List<Parameter> params,
                   String value)
                                      throws URISyntaxException,
                                             ParseException,
                                             org.apache.commons.codec.DecoderException

Parameters:
  `params` - property parameters used to construct a new instance
  `value` - a property value used to construct a new instance
Returns:
  a new property instance
Throws:
  `URISyntaxException` - where an invalid URL is specified in the property value
  `ParseException` - where an invalid date string is specified in the property value
  `org.apache.commons.codec.DecoderException` - where an invalid encoded value is specified in the property value

#### createProperty

    T createProperty(Group group,
                   List<Parameter> params,
                   String value)
                                      throws URISyntaxException,
                                             ParseException,
                                             org.apache.commons.codec.DecoderException

Parameters:
  `group` - the property group
  `params` - property parameters used to construct a new instance
  `value` - a property value used to construct a new instance
Returns:
  a new property instance
Throws:
  `URISyntaxException` - where an invalid URL is specified in the property value
  `ParseException` - where an invalid date string is specified in the property value
  `org.apache.commons.codec.DecoderException` - where an invalid encoded value is specified in the property value